services:
  db:
    image: postgres
    container_name: postgredb
    restart: always
    hostname: postgres
    ports:
      - "5432:5432"
    environment:
      POSTGRES_USER: <username>
      POSTGRES_PASSWORD: <password>
      POSTGRES_DB: <dbname>
    volumes:
      - ./data/:/var/lib/postgresql/data
    deploy:
      resources:
        limits:
          cpus: '0.30'
          memory: 500m
  ws:
    image: payara/server-full
    container_name: payara
    ports:
      - "4848:4848"
      - "8080:8080"
      - "8181:8181"
      - "9009:9009"
    volumes:
      - ./payara/postgresql-42.7.3.jar:/opt/payara/appserver/glassfish/domains/domain1/lib/postgresql-42.7.3.jar
      - ./payara/logs/:/opt/payara/appserver/glassfish/domains/domain1/logs/
      - ./payara/config/:/opt/payara/appserver/glassfish/domains/domain1/config/
      - ./payara/applications/:/opt/payara/appserver/glassfish/domains/domain1/applications/
    deploy:
      resources:
        limits:
          cpus: '2.00'
          memory: 2g
    links:
      - db
